@charset "UTF-8";

#minicart {
    min-width: 240px;
    border-radius: 0px 0px 0px 50px;
    padding: 50px;
    padding-right: calc((100vw - 1200px) / 2.2);
    margin-top: -1px;
    z-index: 999999;
    box-shadow: none;
    right: 0;
    left: unset!important;

}

.minicart * {padding: 0; margin: 0; font-size: 12px; font-family: sans-serif;}
#minicart, .minicart li {box-sizing:initial}
.minicart a {text-decoration: none !important; text-align: left !important; border:none !important; background:none !important; padding: 0 !important; box-shadow: none !important; display: inline !important; width: auto !important;}
.minicart a {
    font-family: 'Raleway';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 16px;
}

#minicart a:hover {text-decoration: underline !important;}
.minicart {width: 500px; position: absolute; display:none; background-color: #FFF; padding: 10px; z-index: 99999; box-shadow: 1px 1px 3px rgba(0,0,0,0.5);}
.minicart th{text-align:left; padding: 5px; color: #aaa;}
.minicart li {text-align: left; list-style: none; padding: 5px; border: none; }
.minicart li:nth-child(even) {background-color: rgb(249 249 249 / 5%);}
.minicart-thumb {display:inline-block;}
.minicart-thumb img {vertical-align: middle;border-radius: 3px;}
.minicart-name {height: auto; overflow: hidden; display:inline-block; padding: 0; line-height: 1; text-align: left;  vertical-align: middle;  width: 240px;}
.minicart-qty {width: auto; display:inline-block; vertical-align: middle; padding-left: 5px;}

input.minicart-qty-input {box-sizing: content-box; height: auto;width: 24px; border: unset; padding: 2px; border-radius: 3px; font-size: 14px; font-weight: 700; line-height: 1.8;     background-color: #506147!important;}

.minicart-qty span{
    color: #bbbbbb!important; transition: 0.3s;
}
.minicart-qty span:hover{
    color: #fff!important;
}
.minicart-plus-button {width: 10px; visibility: visible !important; user-select: none; cursor: pointer; padding-bottom: 5px; margin-left: 3px; display: inline-block; font-size: 20px; font-weight: bold; height: 20px; line-height: 20px; text-shadow: none; vertical-align: middle;}
.minicart-minus-button {width: 10px; visibility: visible !important; user-select: none; cursor: pointer; padding-bottom: 5px; margin-right: 3px; display: inline-block; font-size: 20px; font-weight: bold; height: 20px; line-height: 20px; text-shadow: none; vertical-align: middle;}

.minicart-price {display:inline-block; width: 70px; height: auto; vertical-align: middle; text-align: right; font-weight: bold; white-space: nowrap; line-height: 1;font-size: 14px}
.minicart-remove {display:inline-block; height: auto; width: auto;}
.minicart-remove span {user-select: none; color: #bbbbbb !important;transition: 0.3s; padding: 0 10px; font-size: 18px; font-weight: bold; vertical-align: middle;}
.minicart-remove span:hover {color: #fff!important; cursor: pointer;}
.minicart-total {text-align: right; padding: 10px 0 5px 0;}
.minicart-total-text{font-size: 14px; font-weight: bold; text-align: right; padding-right: 5px;}
.minicart-total-price{font-size: 14px; font-weight: bold; white-space: nowrap;}
.minicart-button {border-radius: 15px; font-family: 'Raleway'; color: #fff; cursor: pointer; display: inline-block; font-size: 18px; line-height: 120%;  margin-left: 10px; padding: 7px 24px; font-weight: bold;}
.minicart-action {text-align: right; padding: 5px 0;}
.minicart-body {overflow-x: hidden; overflow-y: scroll; max-height: 174px;}
.minicart-relative {position: relative}
.minicart-close-wrapper {text-align: right; padding-bottom: 10px;}
.minicart-close {user-select: none; font-size: 14px; color: black; border: 1px solid #ccc; border-radius: 4px; padding: 3px 6px; font-weight: bold; box-shadow: -1px -1px 1px #cccccc inset;}
.minicart-close:hover {color: #ff0000; cursor: pointer; background-color: rgba(249, 249, 249, 0.4);}
.minicart-price .ruble, .minicart-total-price .ruble {font-family: 'ALSRubl-Arial', sans-serif;}

/* Flying cart */
.minicart-flying-cart {
    position: fixed !important;
    right: 5% !important;
    top: 0 !important;
    z-index: 999 !important;
}


.minicart-body {
    max-height:unset;
    border-bottom: 1px solid #d1d1d1;
    padding-bottom: 15px;
}
.minicart-thumb img {
    border-radius: unset!important;
    max-width: 60px!important;
}


.minicart-action {
    text-align: left;
}

body .minicart-qty {
    max-height: 27px;
    overflow: hidden;
}


.minicart-minus-button,
.minicart-plus-button {
    text-align: center;
}
.minicart-minus-button,
.minicart-qty-input,
.minicart-plus-button {
    text-align: center;
/*    color: rgb(89, 104, 81)!important;
    background: rgb(242, 240, 240)!important;
    margin:0!important;
    border: none!important;
    box-sizing: unset!important;
    max-height: 22px!important;*/
}
.minicart-qty-input {
    padding: 1px 0 4px!important;
    border-radius: 0!important;
    /*min-height: 18px!important;*/
}


/* MOBILE */
@media screen and (max-width: 600px) {
    .minicart {height: auto;left: auto !important; width: 95%;}
    .minicart li {text-align: left;}
    .minicart-thumb {display: inline-block; width: 24px; height: 24px; position: absolute; left: 5px; top: 5px;}
    .minicart-thumb img {width: 24px; height: 24px;}
    .minicart-name {line-height: 19.6px; position: absolute; top: 5px; left: 34px; height: 24px; overflow: hidden; width: 80%; box-sizing: content-box;}
    .minicart-body {max-height: 152px;}
    .minicart-body li {height: auto; border-bottom: 1px dashed #aaa; position: relative; height: 65px;}
    .minicart-qty {bottom: 10px; left: 0; position: absolute;}
    .minicart-price {width: auto; line-height: 20px; bottom: 13px; left: 70px; position: absolute;}
    .minicart-remove {bottom: 15px; position: absolute; right: 10px; display: block;}
    .minicart-close {padding-bottom: 5px;}
    .minicart-button {padding: 7px 14px; margin-left: 5px;}
}

@media screen and (min-width: 1650px) {
    .minicart-flying-cart {
        right: 8% !important;
    }    
}